# NOTE: you must rebuild the samba and sssd packages after updating this one

%global __brp_check_rpaths %nil

%define ldbmajor          2
%define libldb            %mklibname ldb %{ldbmajor}
%define ldbdevel          %mklibname ldb -d

%define pyldbmajor        2
%define libpyldbutil      %mklibname pyldb-util %{pyldbmajor}
%define libpyldbutildevel %mklibname pyldb-util -d

%if (0%{?__isa_bits} == 64)
%global with_lmdb 1
%else
%global without_lmdb_flags --without-ldb-lmdb
%endif

%global tdb_version 1.4.6

Name:          ldb
Version:       2.5.2
Release:       %mkrel 3
Summary:       Library implementing Samba's embedded database
Group:         System/Libraries
License:       GPLv2
URL:           https://ldb.samba.org/
Source0:       https://samba.org/ftp/ldb/ldb-%{version}.tar.gz
Source1:       https://samba.org/ftp/ldb/ldb-%{version}.tar.asc
Source2:       jelmer.asc
BuildRequires: openldap-devel
BuildRequires: pkgconfig(cmocka)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(tevent)
BuildRequires: pkgconfig(talloc)
BuildRequires: pytalloc-util-devel
BuildRequires: pkgconfig(tdb) >= %{tdb_version}
BuildRequires: pkgconfig(python3)
BuildRequires: python3-tdb
BuildRequires: python3-talloc
BuildRequires: python3-tevent
BuildRequires: xsltproc
%if 0%{?with_lmdb}
BuildRequires: lmdb-devel
%endif
BuildRequires: docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libldb}
Group:         System/Libraries
Summary:       Library implementing Samba's embedded database
#fake provides for easy upgrade for samba remove later
Provides: libldb.so.1()(64bit)
Obsoletes:  lib64ldb1
Provides: lib64ldb1

%description -n %{libldb}
Library implementing Samba's embedded database.

%package -n ldb-utils
Group:         Databases
Summary:       Tools for backing up, restoring, and manipulating Samba's embedded database

%description -n ldb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

%package -n %{ldbdevel}
Group:         Development/Libraries
Summary:       Library implementing Samba's embedded database
Provides:      ldb-devel = %{version}-%{release}
Requires:      %{libldb} = %{version}-%{release}

%description -n %{ldbdevel}
Library implementing Samba's embedded database.

%package -n python3-ldb
Group: Development/Python
Summary: Python 3 bindings for the LDB library
Requires: python3-tdb%{?_isa} >= %{tdb_version}
%{?python_provide:%python_provide python3-ldb}
Obsoletes: python-ldb

%description -n python3-ldb
Python 3 bindings for the LDB library.

%package -n %{libpyldbutil}
Group:        Development/Python
Summary:       Utility library for using tdb functions in python 3
#fake provides for easy upgrade
Provides: libpyldb-util.cpython-36m-x86-64-linux-gnu.so.1()(64bit)

%description -n %{libpyldbutil}
Utility library for using tdb functions in python 3.

%package -n %{libpyldbutildevel}
Group:         Development/Python
Summary:       Development files for utility library for using tdb functions in python 3
Provides:      pyldb-util-devel = %{version}-%{release}
Requires:      %{libpyldbutil} = %{version}
Requires:      %{ldbdevel} = %{version}-%{release}

%description -n %{libpyldbutildevel}
Development files for utility library for using tdb functions in python 3.

%prep
%setup -q
%apply_patches

perl -pi -e 's,http://docbook.sourceforge.net/release/xsl/current,/usr/share/sgml/docbook/xsl-stylesheets,g' docs/builddocs.sh buildtools/wafsamba/wafsamba.py buildtools/wafsamba/samba_conftests.py

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure2_5x --disable-rpath --disable-rpath-install \
           --bundled-libraries=NONE \
           --with-modulesdir=%{_libdir} \
	   %{?without_lmdb_flags}
%make_build

%install
%make_install

%files -n %{libldb}
%{_libdir}/libldb.so.%{ldbmajor}*
%dir %{_libdir}/ldb/
%{_libdir}/ldb/asq.so
%{_libdir}/ldb/ldap.so
%{_libdir}/ldb/paged_searches.so
%{_libdir}/ldb/rdn_name.so
%{_libdir}/ldb/sample.so
%{_libdir}/ldb/server_sort.so
%{_libdir}/ldb/skel.so
%{_libdir}/ldb/tdb.so
%{_libdir}/ldb/ldb.so
%if 0%{?with_lmdb}
%{_libdir}/ldb/mdb.so
%endif

%files -n %{ldbdevel}
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_includedir}/ldb*.h

%files -n ldb-utils
%{_bindir}/ldb*
%{_libdir}/ldb/libldb-*.so
%{_mandir}/man1/ldb*.1%{_extension}
%{_mandir}/man3/ldb*.3%{_extension}

%files -n python3-ldb
%{python3_sitearch}/ldb.cpython-*.so
%{python3_sitearch}/_ldb_text.py

%files -n %{libpyldbutil}
%{_libdir}/libpyldb-util.cpython-*.so.%{pyldbmajor}*

%files -n %{libpyldbutildevel}
%{_libdir}/libpyldb-util.cpython-*.so
%{_includedir}/pyldb.h
%{_libdir}/pkgconfig/pyldb-util.cpython-*.pc


%changelog
* Sun Oct 09 2022 tex - 2.5.2-3pclos2022
- rebuild against updates

* Sat Aug 20 2022 tex - 2.5.2-2pclos2022
- rebuild against updates

* Mon Aug 15 2022 tex - 2.5.2-1pclos2022
- new version new major
